Bug 1474026 - sapconf does not persist sysctl configuration
sapconf does not persist sysctl configuration
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sapconf (Show other bugs)
7.2
noarch Linux
unspecified Severity high
: rc
: ---
Assigned To: Ngo Than
cluster-qe@redhat.com
:
Depends On:
Blocks: 1018952
  Show dependency treegraph
 
Reported: 2017-07-23 04:52 EDT by Jamel Abiadh
Modified: 2017-09-11 11:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-11 11:09:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jamel Abiadh 2017-07-23 04:52:40 EDT
Description of problem:

sapconf does not persist the changes for sysctl


Version-Release number of selected component (if applicable):
sapconf-0.98-7.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. run sapconf
2. look for changes in /etc/sysctl.conf or /etc/sysctl.d/*

Actual results:
no /etc/sysctl.d/sap.conf (or equivalent ) created

Expected results:
From https://launchpad.support.sap.com/#/notes/2002167

""""
a file /etc/sysctl.d/sap.conf with the following content
# SAP settings
kernel.sem=1250 256000 100 1024
vm.max_map_count=2000000
""""
Comment 2 Ngo Than 2017-07-24 04:28:56 EDT
> 
> Expected results:
> From https://launchpad.support.sap.com/#/notes/2002167
> 

i cannot access the above link, could you please provide the contents from the expected results of obove link?

Thanks
Comment 3 Jamel Abiadh 2017-07-24 04:32:49 EDT
It's already in my initial comment,

a file /etc/sysctl.d/sap.conf with the following content
# SAP settings
kernel.sem=1250 256000 100 1024
vm.max_map_count=2000000

Should be created

Note You need to log in before you can comment on or make changes to this bug.